Bug 1609965 - Port Python bindings to Python 3 or drop them (cmpi-bindings-pywbem cannot be installed on F29+)
Summary: Port Python bindings to Python 3 or drop them (cmpi-bindings-pywbem cannot be...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cmpi-bindings
Version: 31
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI F29FailsToInstall F30FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2018-07-30 22:46 UTC by Adam Williamson
Modified: 2019-12-02 08:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2018-07-30 22:46:07 UTC
cmpi-bindings-pywbem cannot be installed on F29+. This is because it requires 'pywbem', which no longer exists: only python3-pywbem exists on F29+, the Python 2 bindings are no longer shipped.

cmpi-bindings-pywbem should be checked for Python 3 compatibility, installed to python3_sitelib , and made to depend on python3-pywbem , or else dropped.

Comment 1 Jan Kurik 2018-08-14 10:26:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Miro Hrončok 2019-07-22 16:09:16 UTC
Please drop cmpi-bindings-pywbem, they don't install and hence are not beneficial to anybody. It's also a leaf package.

Comment 3 Miro Hrončok 2019-08-05 22:09:00 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 4 Miro Hrončok 2019-08-13 14:50:37 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned. See the previous comment for details.

Comment 5 Miro Hrončok 2019-08-20 10:14:24 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned. See the previous comment for details.

Comment 6 Miro Hrončok 2019-08-21 15:46:56 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 7 Miro Hrončok 2019-08-28 11:10:06 UTC
Retired the package.

Comment 8 Miro Hrončok 2019-08-30 11:57:03 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 9 Adam Williamson 2019-08-30 15:57:29 UTC
A freeze exception for what, though? Why is this marked as ON_QA? I do not see an update listed above at all. If there is an update that fixes this bug, please mark it as fixing this bug; the blocker/FE process relies on the update being marked as fixing the bug. Thanks.

Comment 10 Miro Hrončok 2019-08-30 16:02:34 UTC
The package was retired. There is no update. I just want to make sure it won't be part of beta.

Comment 11 Adam Williamson 2019-08-30 16:19:14 UTC
Sigh. I see. You want freeze exceptions for the *retirements*?

We could probably handle that differently than proposing individual FEs for every retired package, though :/ Retirements aren't handled through update pushes in any case...

Comment 12 Miro Hrončok 2019-08-31 07:39:08 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.


Note You need to log in before you can comment on or make changes to this bug.